%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major	3
%define api		0
%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{api}
%define develname	%mklibname %{name} -d

%bcond_without gsettings

Summary:	A configuration storage system for Xfce
Name:		xfconf
Version:	4.18.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
Url:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfconf/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	chrpath
BuildRequires:	git
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	vala-devel
BuildRequires:  lib64glib2.0-devel
BuildRequires:  lib64dbus-1-devel
BuildRequires:  lib64dbus-glib-1_2-devel
BuildRequires:  lib64girepository-devel
BuildRequires:  lib64xfce4util-devel

Requires:	dbus-x11
Obsoletes: %{name}-doc

%description
Xfconf is a hierarchical (tree-like) configuration
system for the Xfce graphical desktop environment.

%package -n %{libname}
Summary:	Main library for xfconf
Group:		Graphical desktop/XFCE
Requires:	%{name}

%description -n %{libname}
Main library for the xfconf, a configuration
storage system for Xfce.

%package -n %{develname}
Summary:	Development files for xfconf
Group:		Graphical desktop/XFCE
Requires:	%{libname} = %{version}-%{release}
Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.


%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x \
	%{?with_gsettings:--enable-gsettings-backend} \
        --disable-static \
        --disable-gtk-doc

%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#dont want this configure ignores
rm -rf %buildroot/%{_datadir}/gtk-doc

# dummy
mkdir -p %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf

%files
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%{_bindir}/xfconf-query
%{_libdir}/xfce4/%{name}/xfconfd
%if %{with gsettings}
%{_libdir}/gio/modules/libxfconfgsettingsbackend.so
%endif
%{_datadir}/dbus-1/services/org.xfce.Xfconf.service
%{_datadir}/bash-completion/completions/xfconf-query
%{_datadir}/locale

%files -n %{libname}
%{_libdir}/*xfconf-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Xfconf-%{api}.typelib

%files -n %{develname}
%{_includedir}/xfce4/xfconf-%{api}
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc
%{_datadir}/gir-1.0/Xfconf-%{api}.gir
%{_datadir}/vala/vapi/libxfconf-0.deps
%{_datadir}/vala/vapi/libxfconf-0.vapi


%changelog
* Tue Nov 21 2023 tex - 4.18.3-1pclos2023
- new version

* Mon Oct 23 2023 tex - 4.18.2-1pclos2023
- new version

* Mon Apr 17 2023 tex - 4.18.1-1pclos2023
- new version

* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17.2-1pclos2022
- prepare for 4.18 final
